Update Permission

Updates a specific Permission. Note: The Name field cannot be modified for non-B2B apps. If a different Name value is provided, the API will return an error.

PUT
/v2/manage/permissions/{id}

Updates a specific Permission. Note: The Name field cannot be modified for non-B2B apps. If a different Name value is provided, the API will return an error.

apikey<token>

Tenant API Key for authentication

In: query

Path Parameters

id*string

The unique identifier for the Permission

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/permissions/perm_2enk23n3" \  -H "Content-Type: application/json" \  -d '{    "Name": "read:users",    "Description": "Read users data"  }'
{
  "Id": "perm_2enk23n3",
  "Name": "read:users",
  "Description": "Read users data",
  "ResourceId": "507f1f77bcf86cd799439011",
  "CreatedDate": "2025-02-18T12:18:38.270Z",
  "ModifiedDate": "2025-02-18T12:19:12.255Z"
}

{
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request.",
  "ErrorCode": 7934
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "ErrorCode": 8120,
  "Message": "Duplicate Permission name",
  "Description": "Duplicate Permission name, Please provide valid Permission name."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}